curl --request GET \
--url https://api.atlas.co/functions/v1/coupons \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"object": "coupon",
"name": "<string>",
"percent_off": 123,
"amount_off": 123,
"currency": "<string>",
"duration": "<string>",
"duration_in_months": 123,
"max_redemptions": 123,
"times_redeemed": 123,
"redeem_by": 123,
"applies_to": {
"products": [
"<string>"
]
},
"valid": true,
"metadata": {},
"created": 123
}
],
"has_more": true,
"total_count": 123
}curl --request GET \
--url https://api.atlas.co/functions/v1/coupons \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"object": "coupon",
"name": "<string>",
"percent_off": 123,
"amount_off": 123,
"currency": "<string>",
"duration": "<string>",
"duration_in_months": 123,
"max_redemptions": 123,
"times_redeemed": 123,
"redeem_by": 123,
"applies_to": {
"products": [
"<string>"
]
},
"valid": true,
"metadata": {},
"created": 123
}
],
"has_more": true,
"total_count": 123
}API key (sk_test_* or sk_live_*)